"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var calculateDelimiters = exports.calculateDelimiters = function calculateDelimiters(delimiter) {
  return function (_ref) {
    var strings = _ref.strings,
        msgid = _ref.msgid,
        names = _ref.names,
        values = _ref.values;

    // untranslated
    var delimIndices = strings.reduce(function (reduced, v, i) {
      var count = v.split(delimiter).length - 1;
      return reduced.concat(new Array(count).fill(i));
    }, []);
    var lengthUntranslated = delimIndices.length + 1;

    // translated
    var splitTranslated = msgid.split(delimiter);
    var lengthTranslated = splitTranslated.length;

    // collate by delimited text
    var groups = splitTranslated.map(function (element, i) {
      var start = i - 1 in delimIndices ? delimIndices[i - 1] : 0;
      var end = i in delimIndices ? delimIndices[i] : Number.MAX_SAFE_INTEGER;
      return {
        msgid: element,
        names: names.slice(start, end),
        values: values.slice(start, end)
      };
    });

    return { lengthUntranslated: lengthUntranslated, lengthTranslated: lengthTranslated, groups: groups };
  };
};